Package com.xebialabs.xlrelease.api.v1

# Interface ReleaseGroupApi

All Superinterfaces:
  `ApiService`

@Path("/api/v1/release-groups") @Produces("application/json") @Consumes("application/json") public interface ReleaseGroupApi extends ApiService
Operations on release groups.

- ## Field Summary

  ### Fields inherited from interface com.xebialabs.xlrelease.api.ApiService

  `DEFAULT_RESULTS_PER_PAGE, DEFAULT_RESULTS_PER_PAGE_STRING, DEPTH, ORDER_BY, PAGE, PAGE_IS_OFFSET, RESULTS_PER_PAGE, ROLE_IDS_DATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMembersToGroup(String groupId, List<String> memberIds)`
  `ReleaseGroup`
  `createGroup(ReleaseGroup releaseGroup)`
  `void`
  `deleteGroup(String groupId)`
  `ReleaseGroup`
  `getGroup(String groupId)`
  `List<String>`
  `getMembers(String groupId)`
  `ReleaseGroupTimeline`
  `getReleaseGroupTimeline(String groupId)`
  `void`
  `removeMembersFromGroup(String groupId, List<String> memberIds)`
  `List<ReleaseGroup>`
  `searchGroups(ReleaseGroupFilters groupFilters, Long page, Long resultsPerPage, ReleaseGroupOrderMode orderBy)`
  `default String`
  `serviceName()`
  `ReleaseGroup`
  `updateGroup(String groupId, ReleaseGroup releaseGroup)`

- ## Method Details

  - ### serviceName

    default String serviceName()
    Specified by:
      `serviceName` in interface `ApiService`

  - ### getGroup

    @GET @Path("/{groupId:.*ReleaseGroup[^/]*}") ReleaseGroup getGroup(@PathParam("groupId") String groupId)

  - ### deleteGroup

    @DELETE @Path("/{groupId:.*ReleaseGroup[^/]*}") void deleteGroup(@PathParam("groupId") String groupId)

  - ### createGroup

    @POST ReleaseGroup createGroup(ReleaseGroup releaseGroup)

  - ### updateGroup

    @PUT @Path("/{groupId:.*ReleaseGroup[^/]*}") ReleaseGroup updateGroup(@PathParam("groupId") String groupId, ReleaseGroup releaseGroup)

  - ### getMembers

    @GET @Path("/{groupId:.*ReleaseGroup[^/]*}/members") List<String> getMembers(@PathParam("groupId") String groupId)

  - ### addMembersToGroup

    @POST @Path("/{groupId:.*ReleaseGroup[^/]*}/members") void addMembersToGroup(@PathParam("groupId") String groupId, List<String> memberIds)

  - ### removeMembersFromGroup

    @DELETE @Path("/{groupId:.*ReleaseGroup[^/]*}/members") void removeMembersFromGroup(@PathParam("groupId") String groupId, List<String> memberIds)

  - ### searchGroups

    @POST @Path("search") List<ReleaseGroup> searchGroups(ReleaseGroupFilters groupFilters, @DefaultValue("0") @QueryParam("page") Long page, @DefaultValue("100") @QueryParam("resultsPerPage") Long resultsPerPage, @DefaultValue("RISK") @QueryParam("orderBy") ReleaseGroupOrderMode orderBy)

  - ### getReleaseGroupTimeline

    @GET @Path("/{groupId:.*ReleaseGroup[^/]*}/timeline") ReleaseGroupTimeline getReleaseGroupTimeline(@PathParam("groupId") String groupId)